diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/cfgparser/oscan.lex olsrd-current/src/cfgparser/oscan.lex
--- olsrd-0.5.0/src/cfgparser/oscan.lex	2006-04-17 20:31:09.000000000 +0200
+++ olsrd-current/src/cfgparser/oscan.lex	2007-05-17 22:35:16.000000000 +0200
@@ -38,7 +38,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: oscan.lex,v 1.21 2006/04/17 18:31:09 kattemat Exp $
+ * $Id: oscan.lex,v 1.24 2007/05/17 20:35:16 bernd67 Exp $
  */
 
 
@@ -55,7 +55,7 @@
 #include "olsrd_conf.h"
 
 #include "oparse.h"
-
+ 
 /* Prototypes */
 int yyget_lineno(void);
 FILE * yyget_in(void);
@@ -70,27 +70,63 @@
 int yylex_destroy(void);
 int yylex(void);
 
-struct conf_token *
-get_conf_token(void);
+static struct conf_token *get_conf_token(void);
+static struct conf_token *get_string_token(const char * const s, int const n);
+static struct conf_token *get_integer_token(const char * const s);
+static struct conf_token *get_floating_token(const char * const s);
+static struct conf_token *get_boolean_token(const olsr_bool b);
 
-struct conf_token *
-get_conf_token()
+static struct conf_token *get_conf_token(void)
 {
-  struct conf_token *t = malloc(sizeof(struct conf_token));
-
-  if (t == NULL)
-    {
-      fprintf(stderr, "Cannot allocate %d bytes for an configuration token.\n",
-	      (int) sizeof (struct conf_token));
-      exit(EXIT_FAILURE);
+    struct conf_token *t = calloc(1, sizeof(struct conf_token));
+    if (t == NULL) {
+        fprintf(stderr, "Cannot allocate %d bytes for an configuration token.\n", (int)sizeof(struct conf_token));
     }
+    return t;
+}
 
-  memset(t, 0, sizeof(struct conf_token));
+static struct conf_token *get_string_token(const char * const s, int const n)
+{
+    struct conf_token *rv = get_conf_token();
+    if (rv != NULL) {
+        rv->string = malloc(n+1);
+        if (rv->string == NULL) {
+            fprintf(stderr, "Cannot allocate %d bytes for string token data.\n", n+1);
+            free(rv);
+            return NULL;
+        }
+        strncpy(rv->string, s, n);
+        rv->string[n] = '\0';
+    }
+    return rv;
+}
 
-  return t;
+static struct conf_token *get_integer_token(const char * const s)
+{
+    struct conf_token *rv = get_conf_token();
+    if (rv != NULL) {
+        rv->integer = strtol(s, NULL, 0);
+    }
+    return rv;
 }
 
+static struct conf_token *get_floating_token(const char * const s)
+{
+    struct conf_token *rv = get_conf_token();
+    if (rv != NULL) {
+        rv->floating = strtod(s, NULL);
+    }
+    return rv;
+}
 
+static struct conf_token *get_boolean_token(const olsr_bool b)
+{
+    struct conf_token *rv = get_conf_token();
+    if (rv != NULL) {
+        rv->boolean = b;
+    }
+    return rv;
+}
 
 %}
 
@@ -119,345 +155,287 @@
 %%
 
 \s*"#".*\n {
-
-  current_line++;
-  return TOK_COMMENT;
+    current_line++;
+    return TOK_COMMENT;
 }
 
 \{ {
-  yylval = NULL;
-  return TOK_OPEN;
+    yylval = NULL;
+    return TOK_OPEN;
 }
 
 \} {
-  yylval = NULL;
-  return TOK_CLOSE;
-}
-
-\; {
-  yylval = NULL;
-  return TOK_SEMI;
+    yylval = NULL;
+    return TOK_CLOSE;
 }
 
 \"[^\"]*\" {
-  yylval = get_conf_token();
-
-  yylval->string = malloc(yyleng - 1);
-
-  if (yylval->string == NULL)
-  {
-    fprintf(stderr,
-            "Cannot allocate %d bytes for string token data.\n", yyleng - 1);
-    yyterminate();
-  }
-
-  strncpy(yylval->string, yytext + 1, yyleng - 2);
-  yylval->string[yyleng - 2] = 0;
-
-  return TOK_STRING;
+    yylval = get_string_token(yytext + 1, yyleng - 2);
+    if (yylval == NULL) {
+        yyterminate();
+    }
+    return TOK_STRING;
 }
 
 0x{HEXDIGIT}+ {
-  yylval = get_conf_token();
-
-  yylval->integer = strtol(yytext, NULL, 0);
-
-  return TOK_INTEGER;
+    yylval = get_integer_token(yytext);
+    return TOK_INTEGER;
 }
 
 {FLOAT} {
-  yylval = get_conf_token();
-
-  sscanf(yytext, "%f", &yylval->floating);
-  return TOK_FLOAT;
+    yylval = get_floating_token(yytext);
+    return TOK_FLOAT;
 }
 
 {IPV4ADDR} {
-  yylval = get_conf_token();
-  
-  yylval->string = malloc(yyleng + 1);
-  
-  if (yylval->string == NULL)
-    {
-      fprintf(stderr,
-	      "Cannot allocate %d bytes for string token data.\n", yyleng + 1);
-      yyterminate();
+    yylval = get_string_token(yytext, yyleng + 1);
+    if (yylval == NULL) {
+        yyterminate();
     }
-  
-  strncpy(yylval->string, yytext, yyleng+1);
-
-  return TOK_IP4_ADDR;
+    return TOK_IP4_ADDR;
 }
 
-
-
 {IPV6ADDR} {
-
-  yylval = get_conf_token();
-  
-  yylval->string = malloc(yyleng+1);
-  
-  if (yylval->string == NULL)
-    {
-      fprintf(stderr,
-	      "Cannot allocate %d bytes for string token data.\n", yyleng + 1);
-      yyterminate();
+    yylval = get_string_token(yytext, yyleng + 1);
+    if (yylval == NULL) {
+        yyterminate();
     }
-  
-  strncpy(yylval->string, yytext, yyleng+1);
-  
-  return TOK_IP6_ADDR;
+    return TOK_IP6_ADDR;
 }
 
 "default" {
-  yylval = NULL;
-  return TOK_DEFAULT;
+    yylval = NULL;
+    return TOK_DEFAULT;
 }
 
 {DECDIGIT}+ {
-
-  yylval = get_conf_token();
-
-  yylval->integer = atoi(yytext);
-
-  return TOK_INTEGER;
-
+    yylval = get_integer_token(yytext);
+    return TOK_INTEGER;
 }
 
 
-"yes"|"no" {
-  yylval = get_conf_token();
-
-  if (strncmp(yytext, "yes", 3) == 0)
-    yylval->boolean = OLSR_TRUE;
-
-  else
-    yylval->boolean = OLSR_FALSE;
-
-  return TOK_BOOLEAN;
+"yes" {
+    yylval = get_boolean_token(OLSR_TRUE);
+    return TOK_BOOLEAN;
 }
 
+"no" {
+    yylval = get_boolean_token(OLSR_FALSE);
+    return TOK_BOOLEAN;
+}
 
+"site-local" {
+    yylval = get_boolean_token(OLSR_TRUE);
+    return TOK_IP6TYPE;
+}
 
-"site-local"|"global" {
-  yylval = get_conf_token();
-
-  if (strncmp(yytext, "site-local", 10) == 0)
-    yylval->boolean = OLSR_TRUE;
-
-  else
-    yylval->boolean = OLSR_FALSE;
-
-  return TOK_IP6TYPE;
+"global" {
+    yylval = get_boolean_token(OLSR_FALSE);
+    return TOK_IP6TYPE;
 }
 
 "Host" {
-  yylval = NULL;
-  return TOK_HOSTLABEL;
+    yylval = NULL;
+    return TOK_HOSTLABEL;
 }
 
 "Net" {
-  yylval = NULL;
-  return TOK_NETLABEL;
+    yylval = NULL;
+    return TOK_NETLABEL;
 }
 
 "MaxConnections" {
-  yylval = NULL;
-  return TOK_MAXIPC;
+    yylval = NULL;
+    return TOK_MAXIPC;
 }
 
 "DebugLevel" {
-  yylval = NULL;
-  return TOK_DEBUGLEVEL;
+    yylval = NULL;
+    return TOK_DEBUGLEVEL;
 }
 
 "IpVersion" {
-  yylval = NULL;
-  return TOK_IPVERSION;
+    yylval = NULL;
+    return TOK_IPVERSION;
 }
 
 "NicChgsPollInt" {
-  yylval = NULL;
-  return TOK_NICCHGSPOLLRT;
+    yylval = NULL;
+    return TOK_NICCHGSPOLLRT;
 }
 
 "Hna4" {
-  yylval = NULL;
-  return TOK_HNA4;
+    yylval = NULL;
+    return TOK_HNA4;
 }
 
 "Hna6" {
-  yylval = NULL;
-  return TOK_HNA6;
+    yylval = NULL;
+    return TOK_HNA6;
 }
 
 "LoadPlugin" {
-  yylval = NULL;
-  return TOK_PLUGIN;
-}
-
-"PlName" {
-  yylval = NULL;
-  return TOK_PLNAME;
+    yylval = NULL;
+    return TOK_PLUGIN;
 }
 
 "PlParam" {
-  yylval = NULL;
-  return TOK_PLPARAM;
+    yylval = NULL;
+    return TOK_PLPARAM;
 }
 
 "Interface" {
-  yylval = NULL;
-  return TOK_INTERFACE;
+    yylval = NULL;
+    return TOK_INTERFACE;
 }
 
 "AllowNoInt" {
-  yylval = NULL;
-  return TOK_NOINT;
+    yylval = NULL;
+    return TOK_NOINT;
 }
 
 "TosValue" {
-  yylval = NULL;
-  return TOK_TOS;
+    yylval = NULL;
+    return TOK_TOS;
 }
 
 "Willingness" {
-  yylval = NULL;
-  return TOK_WILLINGNESS;
+    yylval = NULL;
+    return TOK_WILLINGNESS;
 }
 
 "IpcConnect" {
-  yylval = NULL;
-  return TOK_IPCCON;
+    yylval = NULL;
+    return TOK_IPCCON;
 }
 
 "UseHysteresis" {
-  yylval = NULL;
-  return TOK_USEHYST;
+    yylval = NULL;
+    return TOK_USEHYST;
 }
 
 "HystScaling" {
-  yylval = NULL;
-  return TOK_HYSTSCALE;
+    yylval = NULL;
+    return TOK_HYSTSCALE;
 }
 
 "HystThrHigh" {
-  yylval = NULL;
-  return TOK_HYSTUPPER;
+    yylval = NULL;
+    return TOK_HYSTUPPER;
 }
 
 "HystThrLow" {
-  yylval = NULL;
-  return TOK_HYSTLOWER;
+    yylval = NULL;
+    return TOK_HYSTLOWER;
 }
 
 "Pollrate" {
-  yylval = NULL;
-  return TOK_POLLRATE;
+    yylval = NULL;
+    return TOK_POLLRATE;
 }
 
 
 "TcRedundancy" {
-  yylval = NULL;
-  return TOK_TCREDUNDANCY;
+    yylval = NULL;
+    return TOK_TCREDUNDANCY;
 }
 
 "MprCoverage" {
-  yylval = NULL;
-  return TOK_MPRCOVERAGE;
+    yylval = NULL;
+    return TOK_MPRCOVERAGE;
 }
 
 "LinkQualityLevel" {
-  yylval = NULL;
-  return TOK_LQ_LEVEL;
+    yylval = NULL;
+    return TOK_LQ_LEVEL;
 }
 
 "LinkQualityFishEye" {
-  yylval = NULL;
-  return TOK_LQ_FISH;
+    yylval = NULL;
+    return TOK_LQ_FISH;
 }
 
 "LinkQualityDijkstraLimit" {
-  yylval = NULL;
-  return TOK_LQ_DLIMIT;
+    yylval = NULL;
+    return TOK_LQ_DLIMIT;
 }
 
 "LinkQualityWinSize" {
-  yylval = NULL;
-  return TOK_LQ_WSIZE;
+    yylval = NULL;
+    return TOK_LQ_WSIZE;
 }
 
 "LinkQualityMult" {
-  yylval = NULL;
-  return TOK_LQ_MULT;
+    yylval = NULL;
+    return TOK_LQ_MULT;
 }
 
 "ClearScreen" {
-  yylval = NULL;
-  return TOK_CLEAR_SCREEN;
+    yylval = NULL;
+    return TOK_CLEAR_SCREEN;
 }
 
 "Weight" {
-  yylval = NULL;
-  return TOK_IFWEIGHT;
+    yylval = NULL;
+    return TOK_IFWEIGHT;
 }
 
 "Ip4Broadcast" {
-  yylval = NULL;
-  return TOK_IP4BROADCAST;
+    yylval = NULL;
+    return TOK_IP4BROADCAST;
 }
 "Ip6AddrType" {
-  yylval = NULL;
-  return TOK_IP6ADDRTYPE;
+    yylval = NULL;
+    return TOK_IP6ADDRTYPE;
 }
 "Ip6MulticastSite" {
-  yylval = NULL;
-  return TOK_IP6MULTISITE;
+    yylval = NULL;
+    return TOK_IP6MULTISITE;
 }
 "Ip6MulticastGlobal" {
-  yylval = NULL;
-  return TOK_IP6MULTIGLOBAL;
+    yylval = NULL;
+    return TOK_IP6MULTIGLOBAL;
 }
 "HelloInterval" {
-  yylval = NULL;
-  return TOK_HELLOINT;
+    yylval = NULL;
+    return TOK_HELLOINT;
 }
 "HelloValidityTime" {
-  yylval = NULL;
-  return TOK_HELLOVAL;
+    yylval = NULL;
+    return TOK_HELLOVAL;
 }
 "TcInterval" {
-  yylval = NULL;
-  return TOK_TCINT;
+    yylval = NULL;
+    return TOK_TCINT;
 }
 "TcValidityTime" {
-  yylval = NULL;
-  return TOK_TCVAL;
+    yylval = NULL;
+    return TOK_TCVAL;
 }
 "MidInterval" {
-  yylval = NULL;
-  return TOK_MIDINT;
+    yylval = NULL;
+    return TOK_MIDINT;
 }
 "MidValidityTime" {
-  yylval = NULL;
-  return TOK_MIDVAL;
+    yylval = NULL;
+    return TOK_MIDVAL;
 }
 "HnaInterval" {
-  yylval = NULL;
-  return TOK_HNAINT;
+    yylval = NULL;
+    return TOK_HNAINT;
 }
 "HnaValidityTime" {
-  yylval = NULL;
-  return TOK_HNAVAL;
+    yylval = NULL;
+    return TOK_HNAVAL;
 }
 "AutoDetectChanges" {
-  yylval = NULL;
-  return TOK_AUTODETCHG;
+    yylval = NULL;
+    return TOK_AUTODETCHG;
 }
 
 
 \n|\r\n {
-  current_line++;
+    current_line++;
 }
 
 \ |\t
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/defs.h olsrd-current/src/defs.h
--- olsrd-0.5.0/src/defs.h	2007-04-02 11:40:48.000000000 +0200
+++ olsrd-current/src/defs.h	2007-05-02 10:06:28.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: defs.h,v 1.56 2007/04/02 09:40:48 tlopatic Exp $
+ * $Id: defs.h,v 1.60 2007/05/02 08:06:28 bernd67 Exp $
  */
 
 
@@ -59,64 +59,67 @@
 #include "net_olsr.h" /* IPaddr -> string conversions is used by everyone */
 #include "olsr_cfg.h"
 
-#define SOFTWARE_VERSION "olsr.org - " VERSION
-#define OLSRD_VERSION_DATE "       *** " SOFTWARE_VERSION " (" __DATE__ ") ***\n"
+#define SOFTWARE_VERSION	"olsr.org - " VERSION
+#define OLSRD_VERSION_DATE	"       *** " SOFTWARE_VERSION " (" __DATE__ ") ***\n"
 
 #ifndef OLSRD_GLOBAL_CONF_FILE
-#define OLSRD_CONF_FILE_NAME "olsrd.conf"
-#define OLSRD_GLOBAL_CONF_FILE "/etc/" OLSRD_CONF_FILE_NAME
+#define OLSRD_CONF_FILE_NAME	"olsrd.conf"
+#define OLSRD_GLOBAL_CONF_FILE	"/etc/" OLSRD_CONF_FILE_NAME
 #endif
 
 #define	MAXMESSAGESIZE		1500	/* max broadcast size */
 #define UDP_IPV4_HDRSIZE        28
 #define UDP_IPV6_HDRSIZE        62
 
-#define MIN_PACKET_SIZE(ver)  (int)(sizeof(olsr_u8_t) * ((ver == AF_INET) ? 4 : 7))
+#define MIN_PACKET_SIZE(ver)	((int)(sizeof(olsr_u8_t) * (((ver) == AF_INET) ? 4 : 7)))
 /* Debug helper macro */
 #ifdef DEBUG
-#define olsr_debug(lvl,format,args...) \
-   OLSR_PRINTF(lvl, "%s (%s:%d): ", __func__, __FILE__, __LINE__); \
-   OLSR_PRINTF(lvl, format, ##args);
+#define olsr_debug(lvl, format, args...) do {                           \
+    OLSR_PRINTF(lvl, "%s (%s:%d): ", __func__, __FILE__, __LINE__);     \
+    OLSR_PRINTF(lvl, (format), ##args);                                 \
+  } while (0)
 #endif
 
 extern FILE *debug_handle;
 
 #ifdef NODEBUG
-#define OLSR_PRINTF(lvl, format, args...) \
-   { }
+#define OLSR_PRINTF(lvl, format, args...) do { } while(0)
 #else
-#define OLSR_PRINTF(lvl, format, args...) \
-   { \
-     if((olsr_cnf->debug_level >= lvl) && debug_handle) \
-        fprintf(debug_handle, format, ##args); \
-   }
+#define OLSR_PRINTF(lvl, format, args...) do {                  \
+    if((olsr_cnf->debug_level >= (lvl)) && debug_handle)          \
+      fprintf(debug_handle, (format), ##args);                    \
+  } while (0)
 #endif
 
 /* Provides a timestamp s1 milliseconds in the future
    according to system ticks returned by times(2) */
-#define GET_TIMESTAMP(s1) \
-        (now_times + ((s1) / olsr_cnf->system_tick_divider))
+#define GET_TIMESTAMP(s1)	(now_times + ((s1) / olsr_cnf->system_tick_divider))
 
-#define TIMED_OUT(s1) \
-        ((int)((s1) - now_times) < 0)
+#define TIMED_OUT(s1)	((int)((s1) - now_times) < 0)
 
 
+#define ARRAYSIZE(x)	(sizeof(x)/sizeof(*(x)))
+
 /*
  * Queueing macros
  */
 
 /* First "argument" is NOT a pointer! */
 
-#define QUEUE_ELEM(pre, new) \
-        pre.next->prev = new; \
-        new->next = pre.next; \
-        new->prev = &pre; \
-        pre.next = new
-
-#define DEQUEUE_ELEM(elem) \
-	elem->prev->next = elem->next; \
-	elem->next->prev = elem->prev
+#define QUEUE_ELEM(pre, new) do { \
+    pre.next->prev = new;         \
+    new->next = pre.next;         \
+    new->prev = &pre;             \
+    pre.next = new;               \
+  } while (0)
+
+#define DEQUEUE_ELEM(elem) do { \
+    elem->prev->next = elem->next;     \
+    elem->next->prev = elem->prev;     \
+  } while (0)
+
 
+#define CLOSE(fd)  do { close(fd); (fd) = -1; } while (0)
 
 /*
  * Global olsrd configuragtion
@@ -126,8 +129,8 @@
 
 /* Timer data */
 extern clock_t now_times;              /* current idea of times(2) reported uptime */
-extern struct timeval now;		/* current idea of time */
-extern struct tm *nowtm;		/* current idea of time (in tm) */
+extern struct timeval now;	       /* current idea of time */
+extern struct tm *nowtm;	       /* current idea of time (in tm) */
 
 /*
  *IPC functions
@@ -138,8 +141,10 @@
 int
 ipc_init(void);
 
+#if 0
 int
 ipc_input(int);
+#endif
 
 int
 shutdown_ipc(void);
@@ -148,9 +153,6 @@
 ipc_output(struct olsr *);
 
 int
-ipc_send_net_info(void);
-
-int
 ipc_route_send_rtentry(union olsr_ip_addr*, union olsr_ip_addr *, int, int, char *);
 
 #endif
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/duplicate_set.c olsrd-current/src/duplicate_set.c
--- olsrd-0.5.0/src/duplicate_set.c	2007-01-31 13:36:50.000000000 +0100
+++ olsrd-current/src/duplicate_set.c	2007-04-26 00:08:07.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: duplicate_set.c,v 1.13 2007/01/31 12:36:50 bernd67 Exp $
+ * $Id: duplicate_set.c,v 1.15 2007/04/25 22:08:07 bernd67 Exp $
  */
 
 
@@ -57,11 +57,11 @@
  *@return nada
  */
 void
-olsr_init_duplicate_table()
+olsr_init_duplicate_table(void)
 {
   int i;
 
-  OLSR_PRINTF(3, "Initializing duplicatetable - hashsize %d\n", HASHSIZE)
+  OLSR_PRINTF(3, "Initializing duplicatetable - hashsize %d\n", HASHSIZE);
 
   /* Since the holdingtime is rather large for duplicate
    * entries the timeoutfunction is only ran every 2 seconds
@@ -225,7 +225,7 @@
 
 
 void
-olsr_time_out_duplicate_table(void *foo)
+olsr_time_out_duplicate_table(void *foo __attribute__((unused)))
 {
   int i;
 
@@ -242,7 +242,7 @@
 #ifdef DEBUG
 	      OLSR_PRINTF(5, "DUP TIMEOUT[%s] s: %d\n", 
 		          olsr_ip_to_string(&tmp_dup_table->addr),
-		          tmp_dup_table->seqno)
+		          tmp_dup_table->seqno);
 #endif
 	      tmp_dup_table = tmp_dup_table->next;
 	      olsr_del_dup_entry(entry_to_delete);
@@ -332,7 +332,7 @@
     return 0;
   
 #ifdef DEBUG
-  OLSR_PRINTF(3, "Setting DUP %s/%d forwarded\n", olsr_ip_to_string(&tmp_dup_table->addr), seqno)
+  OLSR_PRINTF(3, "Setting DUP %s/%d forwarded\n", olsr_ip_to_string(&tmp_dup_table->addr), seqno);
 #endif
 
   /* Set forwarded */
@@ -344,14 +344,8 @@
   return 1;
 }
 
-
-
-
-
-
-
 void
-olsr_print_duplicate_table()
+olsr_print_duplicate_table(void)
 {
   int i;
 
@@ -370,6 +364,6 @@
 	  tmp_dup_table = tmp_dup_table->next;
 	}
     }
-printf("\n");
+  printf("\n");
 
 }
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/generate_msg.c olsrd-current/src/generate_msg.c
--- olsrd-0.5.0/src/generate_msg.c	2006-01-07 09:16:20.000000000 +0100
+++ olsrd-current/src/generate_msg.c	2007-04-20 15:46:04.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: generate_msg.c,v 1.24 2006/01/07 08:16:20 kattemat Exp $
+ * $Id: generate_msg.c,v 1.25 2007/04/20 13:46:04 bernd67 Exp $
  */
 
 #include "generate_msg.h"
@@ -121,7 +121,7 @@
 
 
 void
-generate_stdout_pulse(void *foo)
+generate_stdout_pulse(void *foo __attribute__((unused)))
 {
   if(olsr_cnf->debug_level == 0)
     return;
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/hashing.c olsrd-current/src/hashing.c
--- olsrd-0.5.0/src/hashing.c	2007-01-31 13:36:50.000000000 +0100
+++ olsrd-current/src/hashing.c	2007-04-20 15:46:04.000000000 +0200
@@ -36,10 +36,9 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: hashing.c,v 1.10 2007/01/31 12:36:50 bernd67 Exp $
+ * $Id: hashing.c,v 1.11 2007/04/20 13:46:04 bernd67 Exp $
  */
 
-
 #include "olsr_protocol.h"
 #include "hashing.h"
 #include "defs.h"
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/hna_set.c olsrd-current/src/hna_set.c
--- olsrd-0.5.0/src/hna_set.c	2005-05-29 14:47:45.000000000 +0200
+++ olsrd-current/src/hna_set.c	2007-04-26 00:08:08.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: hna_set.c,v 1.17 2005/05/29 12:47:45 br1 Exp $
+ * $Id: hna_set.c,v 1.19 2007/04/25 22:08:08 bernd67 Exp $
  */
 
 #include "defs.h"
@@ -52,7 +52,7 @@
  *Initialize the HNA set
  */
 int
-olsr_init_hna_set()
+olsr_init_hna_set(void)
 {
 
   int index;
@@ -128,7 +128,7 @@
   struct hna_entry *tmp_hna;
   olsr_u32_t hash;
 
-  //OLSR_PRINTF(5, "TC: lookup entry\n")
+  //OLSR_PRINTF(5, "TC: lookup entry\n");
 
   hash = olsr_hashing(gw);
   
@@ -265,7 +265,7 @@
  *@return nada
  */
 void
-olsr_time_out_hna_set(void *foo)
+olsr_time_out_hna_set(void *foo __attribute__((unused)))
 {
   int index;
 
@@ -319,7 +319,7 @@
  *@return nada
  */
 void
-olsr_print_hna_set()
+olsr_print_hna_set(void)
 {
   int index;
 
@@ -327,12 +327,12 @@
               nowtm->tm_hour,
               nowtm->tm_min,
               nowtm->tm_sec,
-	      (int)now.tv_usec/10000)
+	      (int)now.tv_usec/10000);
   
   if(olsr_cnf->ip_version == AF_INET)
-    OLSR_PRINTF(1, "IP net          netmask         GW IP\n")
+    OLSR_PRINTF(1, "IP net          netmask         GW IP\n");
   else
-    OLSR_PRINTF(1, "IP net/prefixlen               GW IP\n")
+    OLSR_PRINTF(1, "IP net/prefixlen               GW IP\n");
 
   for(index=0;index<HASHSIZE;index++)
     {
@@ -347,14 +347,14 @@
 	    {
 	      if(olsr_cnf->ip_version == AF_INET)
 		{
-		  OLSR_PRINTF(1, "%-15s ", olsr_ip_to_string(&tmp_net->A_network_addr))
-		  OLSR_PRINTF(1, "%-15s ", olsr_ip_to_string((union olsr_ip_addr *)&tmp_net->A_netmask.v4))
-		  OLSR_PRINTF(1, "%-15s\n", olsr_ip_to_string(&tmp_hna->A_gateway_addr))
+		  OLSR_PRINTF(1, "%-15s ", olsr_ip_to_string(&tmp_net->A_network_addr));
+		  OLSR_PRINTF(1, "%-15s ", olsr_ip_to_string((union olsr_ip_addr *)&tmp_net->A_netmask.v4));
+		  OLSR_PRINTF(1, "%-15s\n", olsr_ip_to_string(&tmp_hna->A_gateway_addr));
 		}
 	      else
 		{
-		  OLSR_PRINTF(1, "%-27s/%d", olsr_ip_to_string(&tmp_net->A_network_addr), tmp_net->A_netmask.v6)
-		  OLSR_PRINTF(1, "%s\n", olsr_ip_to_string(&tmp_hna->A_gateway_addr))
+		  OLSR_PRINTF(1, "%-27s/%d", olsr_ip_to_string(&tmp_net->A_network_addr), tmp_net->A_netmask.v6);
+		  OLSR_PRINTF(1, "%s\n", olsr_ip_to_string(&tmp_hna->A_gateway_addr));
 		}
 
 	      tmp_net = tmp_net->next;
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/hysteresis.c olsrd-current/src/hysteresis.c
--- olsrd-0.5.0/src/hysteresis.c	2007-02-10 20:27:32.000000000 +0100
+++ olsrd-current/src/hysteresis.c	2007-04-26 00:08:08.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: hysteresis.c,v 1.18 2007/02/10 19:27:32 bernd67 Exp $
+ * $Id: hysteresis.c,v 1.20 2007/04/25 22:08:08 bernd67 Exp $
  */
 
 
@@ -51,7 +51,7 @@
 #define hhigh    olsr_cnf->hysteresis_param.thr_high
 #define hlow     olsr_cnf->hysteresis_param.thr_low
 
-inline float
+float
 olsr_hyst_calc_stability(float old_quality)
 {
   return (((1 - hscaling) * old_quality) + hscaling);
@@ -59,7 +59,7 @@
 
 
 
-inline float
+float
 olsr_hyst_calc_instability(float old_quality)
 {
   return ((1 - hscaling) * old_quality);
@@ -78,7 +78,7 @@
       if(entry->L_link_pending == 1)
 	{
 	  OLSR_PRINTF(1, "HYST[%s] link set to NOT pending!\n", 
-		      olsr_ip_to_string(&entry->neighbor_iface_addr))
+		      olsr_ip_to_string(&entry->neighbor_iface_addr));
 	  changes_neighborhood = OLSR_TRUE;
 	}
 
@@ -99,7 +99,7 @@
       if(entry->L_link_pending == 0)
 	{
 	  OLSR_PRINTF(1, "HYST[%s] link set to pending!\n", 
-		      olsr_ip_to_string(&entry->neighbor_iface_addr))
+		      olsr_ip_to_string(&entry->neighbor_iface_addr));
 	  changes_neighborhood = OLSR_TRUE;
 	}
       
@@ -148,7 +148,7 @@
 olsr_update_hysteresis_hello(struct link_entry *entry, double htime)
 {
 #ifdef DEBUG
-  OLSR_PRINTF(3, "HYST[%s]: HELLO update vtime %f\n", olsr_ip_to_string(&entry->neighbor_iface_addr), htime*1.5)
+  OLSR_PRINTF(3, "HYST[%s]: HELLO update vtime %f\n", olsr_ip_to_string(&entry->neighbor_iface_addr), htime*1.5);
 #endif
   /* hello timeout = current time + hint time */
   /* SET TIMER TO 1.5 TIMES THE INTERVAL */
@@ -173,7 +173,7 @@
     {
       link->L_link_quality = olsr_hyst_calc_stability(link->L_link_quality);
 #ifdef DEBUG
-      OLSR_PRINTF(3, "HYST[%s]: %0.3f\n", olsr_ip_to_string(remote), link->L_link_quality)
+      OLSR_PRINTF(3, "HYST[%s]: %0.3f\n", olsr_ip_to_string(remote), link->L_link_quality);
 #endif
 
       /* 
@@ -190,7 +190,7 @@
 	      link->L_link_quality = olsr_hyst_calc_instability(link->L_link_quality);
 #ifdef DEBUG
 	      OLSR_PRINTF(5, "HYST[%s] PACKET LOSS! %0.3f\n",
-			  olsr_ip_to_string(remote), link->L_link_quality)
+			  olsr_ip_to_string(remote), link->L_link_quality);
 #endif
 	      if(link->L_link_quality < olsr_cnf->hysteresis_param.thr_low)
 		break;
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/hysteresis.h olsrd-current/src/hysteresis.h
--- olsrd-0.5.0/src/hysteresis.h	2006-12-14 12:29:19.000000000 +0100
+++ olsrd-current/src/hysteresis.h	2007-04-20 15:46:04.000000000 +0200
@@ -36,21 +36,17 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: hysteresis.h,v 1.8 2006/12/14 11:29:19 bernd67 Exp $
+ * $Id: hysteresis.h,v 1.9 2007/04/20 13:46:04 bernd67 Exp $
  */
-
-
 #ifndef _OLSR_HYSTERESIS
 #define _OLSR_HYSTERESIS
 
 #include "link_set.h"
 
-
-
-inline float
+float
 olsr_hyst_calc_stability(float);
 
-inline int
+int
 olsr_process_hysteresis(struct link_entry *);
 
 float
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/interfaces.c olsrd-current/src/interfaces.c
--- olsrd-0.5.0/src/interfaces.c	2006-04-17 20:31:09.000000000 +0200
+++ olsrd-current/src/interfaces.c	2007-05-14 00:23:55.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: interfaces.c,v 1.29 2006/04/17 18:31:09 kattemat Exp $
+ * $Id: interfaces.c,v 1.32 2007/05/13 22:23:55 bernd67 Exp $
  */
 
 #include "defs.h"
@@ -72,7 +72,7 @@
  *@return the number of interfaces configured
  */
 int
-ifinit()
+ifinit(void)
 {
   struct olsr_if *tmp_if;
 
@@ -101,7 +101,7 @@
       //(addrsock6.sin6_addr).s_addr = IN6ADDR_ANY_INIT;
     }
 
-  OLSR_PRINTF(1, "\n ---- Interface configuration ---- \n\n")
+  OLSR_PRINTF(1, "\n ---- Interface configuration ---- \n\n");
     /* Run trough all interfaces immedeatly */
     for(tmp_if = olsr_cnf->interfaces; tmp_if != NULL; tmp_if = tmp_if->next)
       {
@@ -123,7 +123,7 @@
 
 
 olsr_u32_t
-get_if_property_id()
+get_if_property_id(void)
 {
   return if_property_id++;
 }
@@ -342,7 +342,6 @@
   interf_n->cnf = NULL;
   interf_n->interf = NULL;
   interf_n->configured = 0;
-  interf_n->index = olsr_cnf->ifcnt++;
 
   interf_n->host_emul = hemu ? OLSR_TRUE : OLSR_FALSE;
 
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/interfaces.h olsrd-current/src/interfaces.h
--- olsrd-0.5.0/src/interfaces.h	2007-02-10 20:59:51.000000000 +0100
+++ olsrd-current/src/interfaces.h	2007-05-14 00:23:55.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: interfaces.h,v 1.38 2007/02/10 19:59:51 bernd67 Exp $
+ * $Id: interfaces.h,v 1.40 2007/05/13 22:23:55 bernd67 Exp $
  */
 
 
@@ -111,7 +111,7 @@
  */
 struct olsr_netbuf
 {
-  olsr_u8_t *buff;/* Pointer to the allocated buffer */
+  olsr_u8_t *buff;     /* Pointer to the allocated buffer */
   int bufsize;    /* Size of the buffer */
   int maxsize;    /* Max bytes of payload that can be added to the buffer */
   int pending;    /* How much data is currently pending in the buffer */
@@ -141,7 +141,6 @@
   int	        int_flags;			/* see below */
   char	        *int_name;			/* from kernel if structure */
   int           if_index;                       /* Kernels index of this interface */
-  int           if_nr;                          /* This interfaces index internally*/
   int           is_wireless;                    /* wireless interface or not*/
   olsr_u16_t    olsr_seqnum;                    /* Olsr message seqno */
 
